#if !defined(__lstvwapp_h)              // Sentry, use file only if it's not already included.
#define __lstvwapp_h

/*  Project listview
    Chinchilla Soft Ltd
    Copyright  1995. All Rights Reserved.

    SUBSYSTEM:    listview.exe Application
    FILE:         lstvwapp.h
    AUTHOR:       Johannes Plachy


    OVERVIEW
    ========
    Class definition for listviewApp (TApplication).      
*/


#include <owl\owlpch.h>
#pragma hdrstop


#include "lstvwapp.rh"            // Definition of all resources.



//{{TApplication = listviewApp}}
class listviewApp : public TApplication {
private:

public:
    listviewApp ();
    virtual ~listviewApp ();

    TOpenSaveDialog::TData FileData;                    // Data to control open/saveas standard dialog.
    void OpenFile (const char *fileName = 0);
//{{listviewAppVIRTUAL_BEGIN}}
public:
    virtual void InitMainWindow();
//{{listviewAppVIRTUAL_END}}

//{{listviewAppRSP_TBL_BEGIN}}
protected:
    void CmFileNew ();
    void CmFileOpen ();
    void CmHelpAbout ();
//{{listviewAppRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(listviewApp);
};    //{{listviewApp}}


#endif                                      // __lstvwapp_h sentry.
